std::chrono::operator==(std::chrono::zoned_time)(3)

NAME
std::chrono::operator==(std::chrono::zoned_time) - std::chrono::operator==(std::chrono::zoned_time)

Synopsis
   Defined in header <chrono>
   template <class Duration1, class Duration2, class TimeZonePtr>
   bool operator==(const std::chrono::zoned_time<Duration1, (since C++20)
   TimeZonePtr>& x,
   const std::chrono::zoned_time<Duration2, TimeZonePtr>& y);
   Compares the two zoned_time values x and y. Two zoned_time objects compare equal if
   their time points and time zone pointers both compare equal according to operator==.
   The != operator is synthesized from operator==.

Return value
   x.get_time_zone() == y.get_time_zone() && x.get_sys_time() == y.get_sys_time(),
   except that the comparisons are performed on the nonstatic data members of x and y
   directly and no copying is performed.